## getfem++ 5.3+dfsg1

=== doc/sphinx/source/scilab/images/Makefile ===
#  Copyright (C) 1999-2017 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=hierarchy.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== debian/changelog ===
getfem++ (5.3+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:18:14 +0000

getfem++ (5.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * mark as Build-Depends: python3-dev not python3-all-dev.
    Build system uses automake which makes it difficult to manage
    multiple python versions. Closes: #948018.
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
  * list usr/lib/python*/*-packages/getfem/*.py in debian/not-installed
    to work around Bug#1001914 in dh_missing. These python files are
    processed by dh_python3 via debian/python3-getfem++.pyinstall.

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 21:13:11 +0100

getfem++ (5.3+dfsg1-3) unstable; urgency=medium

  * Remove redundant dependencies on muparser and several boost packages.
  * Fix blas and lapack interface. Closes: #943943.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 27 Dec 2019 13:51:29 +0000

getfem++ (5.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scripts_python3.patch sets bin/extract_doc and
    bin/split_cmdref to python3. Closes: #943943.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2019 23:50:04 +1100

getfem++ (5.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 10_move_getfem_arch_config.patch
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop Python 2: replace python-getfem++ with python3-getfem++.
    Closes: #916893, #936603.
    - add debian patch drop_python2.patch to mop up remaining
      Python2isms.
    - fix_python3_tests_4fe9963c.patch adapts upstream commit 4fe9963c
    - fix_python3_tests_8dcd729f.patch adapts upstream commit 8dcd729f
    - patch getfem.py and __init__.py installed in getfem dir to
      import self via .
    - run debian/tests/python3 from interface/tests/python
  * use dh_missing to identify uninstalled files
  * mark usr/getfem_toolbox/meshes as non-installed
    (only used by interface/tests, which are not installed)
  * python3-getfem++.pyinstall installs the python shared library directly
    from interface/src/python (apparently a bug in upstream build
    scripts: they no longer  install the python .so file)
  * mark libgmm++-dev as Architecture: any to match libmumps-dev
    dependency. Aids cross-compiling. Closes: #940325.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Sep 2019 13:15:41 +0800

getfem++ (5.2+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Fix compatibility with NumPy 1.14, thanks Daniel Watkins (Closes: #899019)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update upstream Homepage
  * Drop ancient X-Python-Version: >= 2.5
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 May 2018 10:57:15 +0000

=== debian/control ===
Source: getfem++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
Section: libs
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               dh-python,
               libblas-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libmetis-dev,
               libmumps-seq-dev,
               libqhull-dev,
               libsuperlu-dev,
               libtool,
               python3-dev,
               python3-numpy,
               python3-scipy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/getfem
Vcs-Git: https://salsa.debian.org/science-team/getfem.git
Homepage: http://getfem.org/

Package: libgetfem++-dev
Architecture: any
Section: libdevel
Depends: libboost-system-dev,
         libboost-thread-dev,
         libgetfem5++ (= ${binary:Version}),
         libgmm++-dev (= ${binary:Version}),
         libsuperlu-dev,
         ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem5++
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Architecture: any
Section: libdevel
Depends: libmumps-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python3-getfem++
Architecture: any
Section: python
Depends: libgetfem5++ (= ${binary:Version}),
         python3,
         python3-numpy,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python 3 interface to GETFEM++.
